Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236792 - Review Request: redhat-artwork-kde - KDE portions temporarily split out of redhat-artwork (236633)
Summary: Review Request: redhat-artwork-kde - KDE portions temporarily split out of re...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 17:29 UTC by Kevin Kofler
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-27 07:44:24 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Kofler 2007-04-17 17:29:21 UTC
Spec URL: http://repo.calcforge.org/f7/redhat-artwork-kde.spec
SRPM URL: http://repo.calcforge.org/f7/redhat-artwork-kde-5.0.12-4.src.rpm
Description:
Since the KDE and KDM themes had to be temporarily disabled in redhat-artwork (see Bug 236633), this package serves as a stopgap solution to provide them. This package is for Fedora 7 only, FC <=6 don't need it, Fedora >=8 hopefully won't need it either.

There are 2 rpmlint warnings, one from the SRPM:
W: redhat-artwork-kde strange-permission post-install-fixup.sh 0755
I don't see what's strange in that permission, it's a script which is packaged as a source. But as it's currently empty anyway (just #!/bin/sh), I can remove it. (It was taken straight from the original redhat-artwork package.)
And one from the binary RPM:
W: redhat-artwork-kde dangling-relative-symlink /usr/share/apps/kdm/themes/FedoraFlyingHigh/background.jpg ../../../../gdm/themes/FedoraFlyingHigh/background.jpg
That file is in redhat-artwork, which this package Requires. Again, I can change this, but this was an intentional optimization to save space in redhat-artwork, and it shouldn't hurt because redhat-artwork-kde Requires: redhat-artwork anyway.

Comment 1 Kevin Kofler 2007-04-17 17:31:03 UTC
Assigning to Rex Dieter as discussed on IRC.

Comment 2 Rex Dieter 2007-04-26 15:06:43 UTC
MUST items:
1.  Omit/drop Conflicts: items.  Not needed nor desirable (anymore)

2.  Drop
Autoreq: 0
We actually *can* afford to autoreq qt/kde here. :)

3.  %files, replace
%{_libdir}/kde3
with
%{_libdir}/kde3/*
(ie, don't own the parent dir)

Otherwise, looks good.  Make these changes, and I'll APPROVE this.

Comment 3 Kevin Kofler 2007-04-26 21:34:11 UTC
Done.
Spec URL: http://repo.calcforge.org/f7/redhat-artwork-kde.spec
SRPM URL: http://repo.calcforge.org/f7/redhat-artwork-kde-5.0.12-5.fc7.src.rpm
(I didn't forget defining dist when building the SRPM this time. ;-) )

* Thu Apr 26 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 5.0.12-5
- drop obsolete/unneeded Conflicts (review #236792)
- don't disable AutoReq, we can afford to autoreq KDE/Qt here (review #236792)
- don't own libdir/kde3 (review #236792)

Comment 4 Rex Dieter 2007-04-26 21:56:08 UTC
APPROVED.

Apply for fedora account:
http://fedoraproject.org/wiki/PackageMaintainers/Join
(steps 9, 10)
and I'll sponsor you.

Comment 5 Kevin Kofler 2007-04-26 23:15:35 UTC
So: Username kkofler, CLA submitted successfully, I just applied for membership 
in cvsextras and fedorabugs, now according to the wiki the next step is for you 
to move me from "pending" to "sponsored".

Comment 6 Rex Dieter 2007-04-27 03:37:33 UTC
sponsored, welcome aboard.

Comment 7 Kevin Kofler 2007-04-27 04:32:13 UTC
New Package CVS Request
=======================
Package Name: redhat-artwork-kde
Short Description: KDE portions temporarily split out of redhat-artwork
Owners: Kevin@tigcc.ticalc.org
Branches:
InitialCC:

Comment 8 Dennis Gilmore 2007-04-27 06:45:09 UTC
cvs done

Comment 9 Kevin Kofler 2007-04-27 07:44:24 UTC
32553 (redhat-artwork-kde): Build on target fedora-development-extras 
succeeded.

Comment 10 Rex Dieter 2007-04-30 15:37:50 UTC
fyi, added to comps-f7 (kde-desktop group):


Comment 11 Kevin Kofler 2007-07-17 05:58:43 UTC
Package Change Request
======================
Package Name: redhat-artwork-kde
Updated Fedora Owners: kevin@tigcc.ticalc.org

Please change my e-mail address to lowercase, I changed it in the Fedora 
Account System to match Bugzilla, which now normalizes all e-mail addresses to 
lowercase.

Comment 12 Kevin Fenzi 2007-07-17 06:12:10 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.